aboutsummaryrefslogtreecommitdiff
path: root/bin/vex
diff options
context:
space:
mode:
Diffstat (limited to 'bin/vex')
-rwxr-xr-xbin/vex10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/vex b/bin/vex
new file mode 100755
index 00000000..66c9590f
--- /dev/null
+++ b/bin/vex
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Run a command and print a string to stdout showing pass/fail
+"$@"
+ex=$?
+case $ex in
+ 0) op='true' ;;
+ *) op='false' ;;
+esac
+printf '%s\n' "$op"
+exit "$ex"